Bug 1761002 (CVE-2019-2977) - CVE-2019-2977 OpenJDK: Out of bounds access in optimized String indexof implementation (Hotspot, 8224062)
Summary: CVE-2019-2977 OpenJDK: Out of bounds access in optimized String indexof imple...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-2977
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1754089 1760981 1754086 1754087 1754088
Blocks: 1753424
TreeView+ depends on / blocked
 
Reported: 2019-10-11 21:49 UTC by Tomas Hoger
Modified: 2019-12-11 10:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-03 01:05:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:3739 None None None 2019-11-06 13:32:43 UTC
Red Hat Product Errata RHSA-2019:3127 None None None 2019-10-16 14:45:39 UTC
Red Hat Product Errata RHSA-2019:3135 None None None 2019-10-17 09:59:07 UTC

Description Tomas Hoger 2019-10-11 21:49:11 UTC
An out of bounds access flaw was found in the optimized implementation of String indexof() method for x86 platform in the Hotspot component of OpenJDK.  This could cause Java Virtual Machine to crash or disclose limited information about the memory content.

Comment 1 Tomas Hoger 2019-10-15 20:55:34 UTC
Public now via Oracle CPU October 2019:

https://www.oracle.com/security-alerts/cpuoct2019.html#AppendixJAVA

Fixed in Oracle Java SE 13.0.1 and 11.0.5.

Comment 2 errata-xmlrpc 2019-10-16 14:45:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3127 https://access.redhat.com/errata/RHSA-2019:3127

Comment 3 errata-xmlrpc 2019-10-17 09:59:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3135 https://access.redhat.com/errata/RHSA-2019:3135

Comment 5 Tomas Hoger 2019-11-29 07:23:21 UTC
OpenJDK-11 upstream commit:
http://hg.openjdk.java.net/jdk-updates/jdk11u/rev/2a4be9a65705

Comment 6 Product Security DevOps Team 2019-12-03 01:05:04 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-2977


Note You need to log in before you can comment on or make changes to this bug.